Skip to main content

Счета и документы

OpenAPI 1.0.0

Управление счетами на оплату и закрывающими документами

Скачать исходную спецификацию

Варианты

Операции API

DELETE /v4/bills — Удалить счета на оплату

Удалить один или несколько счетов на оплату по списку id

{
  "description": "Удалить один или несколько счетов на оплату по списку id",
  "operationId": "markBillsRemoved",
  "parameters": [
    {
      "description": "Список идентификаторов счетов на оплату для удаления",
      "in": "query",
      "name": "ids",
      "required": true,
      "schema": {
        "example": [
          "3fa85f64-5717-4562-b3fc-2c963f66afa6"
        ],
        "items": {
          "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "format": "uuid",
          "type": "string"
        },
        "type": "array"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "204": {
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Удалить счета на оплату",
  "tags": [
    "bills"
  ]
}

GET /v4/bills — Получить список счетов на оплату

Возвращает список счетов на оплату с возможностью фильтрации

{
  "description": "Возвращает список счетов на оплату с возможностью фильтрации",
  "operationId": "getBillList",
  "parameters": [
    {
      "description": "Номер страницы для пагинации, нумерация с нуля",
      "in": "query",
      "name": "page",
      "required": false,
      "schema": {
        "default": 0,
        "example": 0,
        "format": "int32",
        "minimum": 0,
        "type": "integer"
      }
    },
    {
      "description": "Количество элементов на странице",
      "in": "query",
      "name": "size",
      "required": false,
      "schema": {
        "default": 30,
        "example": 30,
        "format": "int32",
        "maximum": 50,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "Список статусов счетов для фильтрации",
      "in": "query",
      "name": "statuses",
      "required": false,
      "schema": {
        "example": [
          "PAYMENT_PENDING"
        ],
        "items": {
          "description": "Статус счета на оплату",
          "enum": [
            "PAYMENT_PENDING",
            "PAID"
          ],
          "example": "PAYMENT_PENDING",
          "type": "string"
        },
        "type": "array",
        "uniqueItems": true
      }
    },
    {
      "description": "Год выставления счета для фильтрации",
      "in": "query",
      "name": "year",
      "required": false,
      "schema": {
        "example": 2026,
        "format": "int32",
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "Дата выставления счета для точной фильтрации",
      "in": "query",
      "name": "date",
      "required": false,
      "schema": {
        "example": "2026-09-30",
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "Начало периода фильтрации по дате выставления счета (включительно)",
      "in": "query",
      "name": "periodFrom",
      "required": false,
      "schema": {
        "example": "2026-09-01",
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "Конец периода фильтрации по дате выставления счета (включительно)",
      "in": "query",
      "name": "periodTo",
      "required": false,
      "schema": {
        "example": "2026-09-30",
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "Минимальная сумма счета (включительно) для фильтрации",
      "in": "query",
      "name": "sumFrom",
      "required": false,
      "schema": {
        "example": 1000,
        "type": "number"
      }
    },
    {
      "description": "Максимальная сумма счета (включительно) для фильтрации",
      "in": "query",
      "name": "sumTo",
      "required": false,
      "schema": {
        "example": 500000,
        "type": "number"
      }
    },
    {
      "description": "Строка поиска по ИНН плательщика",
      "in": "query",
      "name": "customerSearchString",
      "required": false,
      "schema": {
        "example": "394439302723",
        "type": "string"
      }
    },
    {
      "description": "Строка полнотекстового поиска по счету (наименование, номер, контрагент)",
      "in": "query",
      "name": "query",
      "required": false,
      "schema": {
        "example": "Услуги по настройке ПО",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "billListResponse": {
              "$ref": "#/components/examples/billListResponse"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/PageBillMiniResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получить список счетов на оплату",
  "tags": [
    "bills"
  ]
}

POST /v4/bills — Сформировать счет на оплату

Сохраняет новый счет на оплату

{
  "description": "Сохраняет новый счет на оплату",
  "operationId": "saveBill",
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "billRequest": {
            "$ref": "#/components/examples/billRequest"
          }
        },
        "schema": {
          "$ref": "#/components/schemas/BillRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "billResponse": {
              "$ref": "#/components/examples/billResponse"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/BillResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Сформировать счет на оплату",
  "tags": [
    "bills"
  ]
}

GET /v4/bills/doc-number/next — Получение следующего свободного номера документа для счета на оплату

Возвращает свободный номер документа, который можно использовать при сохранении нового счета на оплату

{
  "description": "Возвращает свободный номер документа, который можно использовать при сохранении нового счета на оплату",
  "operationId": "getNextDocNumber",
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "docNumberResponse": {
              "value": {
                "nextDocNumber": "12"
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/DocNumberResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получение следующего свободного номера документа для счета на оплату",
  "tags": [
    "bills"
  ]
}

GET /v4/bills/measurements — Получить список единиц измерения

Возвращает список единиц измерения, которые можно использовать при сохранении счета на оплату

{
  "description": "Возвращает список единиц измерения, которые можно использовать при сохранении счета на оплату",
  "operationId": "getMeasurements",
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "measurementResponse": {
              "$ref": "#/components/examples/measurementResponse"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/MeasurementResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получить список единиц измерения",
  "tags": [
    "bills"
  ]
}

PUT /v4/bills/status — Обновить статус счетов

Обновить статус одного или нескольких счетов по списку id

{
  "description": "Обновить статус одного или нескольких счетов по списку id",
  "operationId": "deleteBills",
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "billStatusUpdateRequest": {
            "$ref": "#/components/examples/billStatusUpdateRequest"
          }
        },
        "schema": {
          "$ref": "#/components/schemas/BillStatusUpdateRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "204": {
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Обновить статус счетов",
  "tags": [
    "bills"
  ]
}

GET /v4/bills/{billId} — Получить детальную информацию о счете на оплату

Возвращает детальную информацию о счете на оплату по id

{
  "description": "Возвращает детальную информацию о счете на оплату по id",
  "operationId": "getBillDetails",
  "parameters": [
    {
      "description": "Идентификатор счета на оплату",
      "in": "path",
      "name": "billId",
      "required": true,
      "schema": {
        "example": "60612e6c-d182-4b59-a868-69714a910ee3",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "billDetailsResponse": {
              "$ref": "#/components/examples/billDetailsResponse"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/BillDetailsResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получить детальную информацию о счете на оплату",
  "tags": [
    "bills"
  ]
}

PUT /v4/bills/{billId} — Обновить счет на оплату

Обновляет информацию о счете на оплату по id

{
  "description": "Обновляет информацию о счете на оплату по id",
  "operationId": "updateBill",
  "parameters": [
    {
      "description": "Идентификатор счета на оплату",
      "in": "path",
      "name": "billId",
      "required": true,
      "schema": {
        "example": "60612e6c-d182-4b59-a868-69714a910ee3",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "billUpdateRequest": {
            "$ref": "#/components/examples/billUpdateRequest"
          }
        },
        "schema": {
          "$ref": "#/components/schemas/BillUpdateRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "204": {
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Обновить счет на оплату",
  "tags": [
    "bills"
  ]
}

GET /v4/bills/{billId}/document — Получить счет на оплату в виде документа

Возвращает счет на оплату в виде документа (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)

{
  "description": "Возвращает счет на оплату в виде документа (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)",
  "operationId": "getDocument",
  "parameters": [
    {
      "description": "Идентификатор счета на оплату",
      "in": "path",
      "name": "billId",
      "required": true,
      "schema": {
        "example": "60612e6c-d182-4b59-a868-69714a910ee3",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "Формат файла документа",
      "in": "query",
      "name": "docType",
      "required": false,
      "schema": {
        "enum": [
          "PDF",
          "XML"
        ],
        "example": "PDF",
        "type": "string"
      }
    },
    {
      "description": "Исключить из PDF блок с информацией о формировании документа",
      "in": "query",
      "name": "withoutGenerationInfo",
      "required": false,
      "schema": {
        "default": false,
        "example": false,
        "type": "boolean"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/pdf": {
          "schema": {
            "format": "byte",
            "type": "string"
          }
        },
        "application/xml;charset=windows-1251": {
          "schema": {
            "format": "byte",
            "type": "string"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получить счет на оплату в виде документа",
  "tags": [
    "bills"
  ]
}

DELETE /v4/closing-documents — Удалить закрывающие документы

Удаляет один или несколько закрывающих документов

{
  "description": "Удаляет один или несколько закрывающих документов",
  "operationId": "removeDocuments",
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "closingDocumentDeleteRequest": {
            "$ref": "#/components/examples/closingDocumentDeleteRequest"
          }
        },
        "schema": {
          "$ref": "#/components/schemas/DocumentIdsRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "204": {
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Удалить закрывающие документы",
  "tags": [
    "closingDocuments"
  ]
}

GET /v4/closing-documents — Получить список закрывающих документов

Возвращает список закрывающих документов

{
  "description": "Возвращает список закрывающих документов",
  "operationId": "getDocuments",
  "parameters": [
    {
      "description": "Номер страницы для пагинации, нумерация с нуля",
      "in": "query",
      "name": "page",
      "required": false,
      "schema": {
        "default": 0,
        "example": 0,
        "format": "int32",
        "minimum": 0,
        "type": "integer"
      }
    },
    {
      "description": "Количество элементов на странице",
      "in": "query",
      "name": "size",
      "required": false,
      "schema": {
        "default": 30,
        "example": 30,
        "format": "int32",
        "maximum": 50,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "Минимальная сумма документа (включительно) для фильтрации",
      "in": "query",
      "name": "sumFrom",
      "required": false,
      "schema": {
        "example": 1000,
        "type": "number"
      }
    },
    {
      "description": "Максимальная сумма документа (включительно) для фильтрации",
      "in": "query",
      "name": "sumTo",
      "required": false,
      "schema": {
        "example": 500000,
        "type": "number"
      }
    },
    {
      "description": "Список типов закрывающих документов для фильтрации",
      "in": "query",
      "name": "types",
      "required": false,
      "schema": {
        "example": [
          "WORK_ACT",
          "UPD"
        ],
        "items": {
          "description": "Тип закрывающего документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "WORK_ACT",
          "type": "string"
        },
        "type": "array",
        "uniqueItems": true
      }
    },
    {
      "description": "Начало периода фильтрации по дате документа (включительно)",
      "in": "query",
      "name": "periodFrom",
      "required": false,
      "schema": {
        "example": "2026-09-01",
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "Конец периода фильтрации по дате документа (включительно)",
      "in": "query",
      "name": "periodTo",
      "required": false,
      "schema": {
        "example": "2026-09-30",
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "Строка поиска по контрагенту (наименование или ИНН)",
      "in": "query",
      "name": "customerSearchString",
      "required": false,
      "schema": {
        "example": "ООО Ромашка",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "closingDocumentListResponse": {
              "$ref": "#/components/examples/closingDocumentListResponse"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ClosingDocumentListResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получить список закрывающих документов",
  "tags": [
    "closingDocuments"
  ]
}

POST /v4/closing-documents — Создать закрывающий документ

Создает закрывающий документ одного из следующих видов: Товарная накладная (ConsignmentNoteRequest), Акт работ (WorkActRequest), УПД (UPDRequest)

{
  "description": "Создает закрывающий документ одного из следующих видов: Товарная накладная (ConsignmentNoteRequest), Акт работ (WorkActRequest), УПД (UPDRequest)",
  "operationId": "createDocument",
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "consignmentNoteRequest": {
            "$ref": "#/components/examples/consignmentNoteRequest"
          },
          "updRequest": {
            "$ref": "#/components/examples/updRequest"
          },
          "workActRequest": {
            "$ref": "#/components/examples/workActRequest"
          }
        },
        "schema": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/ConsignmentNoteRequest"
            },
            {
              "$ref": "#/components/schemas/UPDRequest"
            },
            {
              "$ref": "#/components/schemas/WorkActRequest"
            }
          ]
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "closingDocumentCreateResponse": {
              "$ref": "#/components/examples/closingDocumentCreateResponse"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ClosingDocumentResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Создать закрывающий документ",
  "tags": [
    "closingDocuments"
  ]
}

GET /v4/closing-documents/{documentId} — Получить детальную информацию о закрывающем документе

Возвращает детальную информацию о закрывающем документе по id документа

{
  "description": "Возвращает детальную информацию о закрывающем документе по id документа",
  "operationId": "getDocumentDetails",
  "parameters": [
    {
      "description": "Идентификатор закрывающего документа",
      "in": "path",
      "name": "documentId",
      "required": true,
      "schema": {
        "example": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "closingDocumentDetailConsignmentNote": {
              "$ref": "#/components/examples/closingDocumentDetailConsignmentNote"
            },
            "closingDocumentDetailUPD": {
              "$ref": "#/components/examples/closingDocumentDetailUPD"
            },
            "closingDocumentDetailWorkAct": {
              "$ref": "#/components/examples/closingDocumentDetailWorkAct"
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ClosingDocumentDetailsResponse"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получить детальную информацию о закрывающем документе",
  "tags": [
    "closingDocuments"
  ]
}

PUT /v4/closing-documents/{documentId} — Обновить информацию о закрывающем документе

Обновляет информацию о закрывающем документе по id документа

{
  "description": "Обновляет информацию о закрывающем документе по id документа",
  "operationId": "updateDocument",
  "parameters": [
    {
      "description": "Идентификатор закрывающего документа",
      "in": "path",
      "name": "documentId",
      "required": true,
      "schema": {
        "example": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "consignmentNoteRequest": {
            "$ref": "#/components/examples/consignmentNoteRequest"
          },
          "updRequest": {
            "$ref": "#/components/examples/updRequest"
          },
          "workActRequest": {
            "$ref": "#/components/examples/workActRequest"
          }
        },
        "schema": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/ConsignmentNoteRequest"
            },
            {
              "$ref": "#/components/schemas/UPDRequest"
            },
            {
              "$ref": "#/components/schemas/WorkActRequest"
            }
          ]
        }
      }
    },
    "required": true
  },
  "responses": {
    "204": {
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Обновить информацию о закрывающем документе",
  "tags": [
    "closingDocuments"
  ]
}

GET /v4/closing-documents/{documentId}/file — Получить документ в виде файла

Возвращает документ (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)

{
  "description": "Возвращает документ (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)",
  "operationId": "file",
  "parameters": [
    {
      "description": "Идентификатор закрывающего документа",
      "in": "path",
      "name": "documentId",
      "required": true,
      "schema": {
        "example": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "Формат файла документа",
      "in": "query",
      "name": "docType",
      "required": false,
      "schema": {
        "enum": [
          "PDF",
          "XML"
        ],
        "example": "PDF",
        "type": "string"
      }
    },
    {
      "description": "Исключить из PDF блок с информацией о формировании документа",
      "in": "query",
      "name": "withoutGenerationInfo",
      "required": false,
      "schema": {
        "default": false,
        "example": false,
        "type": "boolean"
      }
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/pdf": {
          "schema": {
            "format": "byte",
            "type": "string"
          }
        },
        "application/xml;charset=windows-1251": {
          "schema": {
            "format": "byte",
            "type": "string"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "security": [
    {
      "RaifApiAuthorization": [],
      "RaifApiIdToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.raiffeisen.ru/invoices"
    }
  ],
  "summary": "Получить документ в виде файла",
  "tags": [
    "closingDocuments"
  ]
}

Схемы и примеры

{
  "examples": {
    "billDetailsResponse": {
      "summary": "Детальная информация о счете на оплату",
      "value": {
        "cnum": "UVGASK",
        "createdOn": "2026-09-30T10:19:26",
        "docNumber": "1",
        "goods": {
          "items": [
            {
              "count": 5,
              "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
              "name": "Услуги по настройке ПО",
              "price": 1200.5,
              "sum": 6002.5,
              "unit": {
                "abbreviation": "Часы",
                "name": "HOUR",
                "value": "ч"
              },
              "vat": {
                "abbreviation": "НДС 20%",
                "name": "VAT_20",
                "value": "20"
              },
              "vatAmount": 1000.42
            }
          ],
          "totalPrice": 6002.5,
          "totalVatAmount": 1000.42
        },
        "id": "60612e6c-d182-4b59-a868-69714a910ee3",
        "invoice": {
          "cause": "Оплата по договору №123456",
          "comment": "Платёж по договору №123456",
          "date": "2026-09-30",
          "num": "INV-2024-001"
        },
        "linkedDocuments": [],
        "payee": {
          "account": {
            "bic": "081395980",
            "branchName": "Московский филиал АО «Банк»",
            "corrAcc": "30101810400000000598",
            "name": "АО «Банк»",
            "num": "51421810026450470886"
          },
          "cnum": "UVGASK",
          "inn": "394439302723",
          "juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
          "kpp": "637996731",
          "lawType": "ООО",
          "name": "ООО Продавец"
        },
        "payer": {
          "address": "г. Москва, ул. Тестовая, д. 1",
          "inn": "394439302723",
          "kpp": "637996731",
          "name": "ООО Покупатель",
          "type": "LEGAL"
        },
        "payments": [],
        "receipts": [],
        "status": "PAYMENT_PENDING",
        "statusIsUpdating": false
      }
    },
    "billListResponse": {
      "summary": "Список счетов на оплату",
      "value": {
        "content": [
          {
            "amount": 6002.5,
            "cnum": "UVGASK",
            "createdDate": 1790763566,
            "docNumber": "1",
            "id": "60612e6c-d182-4b59-a868-69714a910ee3",
            "invoiceDate": 1790726400,
            "items": [
              {
                "count": 5,
                "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
                "name": "Услуги по настройке ПО",
                "price": 1200.5,
                "sum": 6002.5,
                "unit": {
                  "abbreviation": "Часы",
                  "name": "HOUR",
                  "value": "ч"
                },
                "vat": {
                  "abbreviation": "НДС 20%",
                  "name": "VAT_20",
                  "value": "20"
                },
                "vatAmount": 1000.42
              }
            ],
            "linkedDocuments": [],
            "numberOfRemainingLinkedDocuments": 0,
            "payee": {
              "address": "123154, Москва г, ул. Тестовая, д. 2",
              "inn": "394439302723",
              "kpp": "637996731",
              "name": "ООО Продавец"
            },
            "payer": {
              "address": "г. Москва, ул. Тестовая, д. 1",
              "inn": "394439302723",
              "kpp": "637996731",
              "name": "ООО Покупатель",
              "type": "LEGAL"
            },
            "receipts": [],
            "status": "PAYMENT_PENDING"
          }
        ],
        "empty": false,
        "first": true,
        "last": true,
        "number": 0,
        "numberOfElements": 1,
        "pageable": {
          "offset": 0,
          "pageNumber": 0,
          "pageSize": 30,
          "paged": true,
          "sort": {
            "empty": false,
            "sorted": true,
            "unsorted": false
          },
          "unpaged": false
        },
        "size": 30,
        "sort": {
          "empty": false,
          "sorted": true,
          "unsorted": false
        },
        "statusIsUpdating": false,
        "totalElements": 1,
        "totalPages": 1
      }
    },
    "billRequest": {
      "summary": "Запрос на создание счета на оплату",
      "value": {
        "closingDocuments": [],
        "goods": {
          "items": [
            {
              "count": 5,
              "name": "Услуги по настройке ПО",
              "price": 1200.5,
              "unit": "HOUR",
              "vat": "VAT_20"
            }
          ]
        },
        "invoice": {
          "cause": "Оплата по договору №123456",
          "comment": "Платёж по договору №123456",
          "date": "2026-09-30",
          "num": "INV-2024-001"
        },
        "payee": {
          "account": {
            "bic": "081395980",
            "branchName": "Московский филиал АО «Банк»",
            "corrAcc": "30101810400000000598",
            "name": "АО «Банк»",
            "num": "51421810026450470886"
          },
          "inn": "394439302723",
          "juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
          "kpp": "637996731",
          "lawType": "ООО",
          "name": "ООО Продавец"
        },
        "payer": {
          "address": "г. Москва, ул. Тестовая, д. 1",
          "inn": "394439302723",
          "kpp": "637996731",
          "name": "ООО Покупатель",
          "type": "LEGAL"
        },
        "receipts": []
      }
    },
    "billResponse": {
      "summary": "Ответ на создание счета на оплату",
      "value": {
        "documentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    },
    "billStatusUpdateRequest": {
      "summary": "Запрос на обновление статуса счетов",
      "value": {
        "billIds": [
          "3fa85f64-5717-4562-b3fc-2c963f66afa6"
        ],
        "status": "PAID"
      }
    },
    "billUpdateRequest": {
      "summary": "Запрос на обновление счета на оплату",
      "value": {
        "closingDocuments": [],
        "goods": {
          "items": [
            {
              "count": 5,
              "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
              "name": "Услуги по настройке ПО",
              "price": 1200.5,
              "unit": "HOUR",
              "vat": "VAT_20"
            }
          ]
        },
        "invoice": {
          "cause": "Оплата по договору №123456",
          "comment": "Платёж по договору №123456",
          "date": "2026-09-30",
          "num": "INV-2024-001"
        },
        "payee": {
          "account": {
            "bic": "081395980",
            "branchName": "Московский филиал АО «Банк»",
            "corrAcc": "30101810400000000598",
            "name": "АО «Банк»",
            "num": "51421810026450470886"
          },
          "inn": "394439302723",
          "juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
          "kpp": "637996731",
          "lawType": "ООО",
          "name": "ООО Продавец"
        },
        "payer": {
          "address": "г. Москва, ул. Тестовая, д. 1",
          "inn": "394439302723",
          "kpp": "637996731",
          "name": "ООО Покупатель",
          "type": "LEGAL"
        }
      }
    },
    "closingDocumentCreateResponse": {
      "summary": "Ответ на создание закрывающего документа",
      "value": {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "type": "UPD"
      }
    },
    "closingDocumentDeleteRequest": {
      "summary": "Запрос на удаление закрывающих документов",
      "value": {
        "documentIds": [
          "3fa85f64-5717-4562-b3fc-2c963f66afa6"
        ]
      }
    },
    "closingDocumentDetailConsignmentNote": {
      "summary": "Закрывающий документ - товарная накладная",
      "value": {
        "cnum": "Z62321",
        "createdOn": "2026-09-30T10:19:26Z",
        "document": {
          "additionalInfo": {
            "documentBase": {
              "date": "2026-09-30",
              "name": "Счет на оплату",
              "number": "84860631"
            },
            "documentDate": "2026-09-30",
            "documentNumber": "2",
            "operationType": "Реализация",
            "waybill": {
              "date": "2026-09-30",
              "number": "Транспорт-552"
            }
          },
          "buyer": {
            "address": "г. Москва, ул. Тестовая, д. 1",
            "inn": "4108003484",
            "innType": "COMPANY",
            "kpp": "410801001",
            "name": "ООО Покупатель",
            "okpo": "0120223589",
            "receiver": false
          },
          "goods": {
            "items": [
              {
                "count": 10,
                "name": "Монитор",
                "price": 50000,
                "sum": 500000,
                "unit": {
                  "abbreviation": "Упаковка",
                  "name": "PACKAGE",
                  "value": "упак"
                },
                "vat": {
                  "abbreviation": "НДС 10%",
                  "name": "VAT_10",
                  "value": "10"
                },
                "vatAmount": 45454.55
              }
            ],
            "totalPrice": 500000,
            "totalVatAmount": 45454.55
          },
          "seller": {
            "address": "123154, Москва г, ул. Тестовая, д. 2",
            "cnum": "Z62321",
            "consignor": false,
            "inn": "0816020925",
            "kpp": "773401417",
            "name": "ООО Продавец",
            "okpo": "0120223589"
          },
          "type": "CONSIGNMENT_NOTE"
        },
        "linkedDocuments": [],
        "type": "CONSIGNMENT_NOTE"
      }
    },
    "closingDocumentDetailUPD": {
      "summary": "Закрывающий документ - УПД",
      "value": {
        "cnum": "A12345",
        "createdOn": "2026-09-25T13:32:39Z",
        "document": {
          "additionalInfo": {
            "documentDate": "2026-09-25",
            "documentNumber": "UPD-1c6410d2",
            "operationType": "Продажа"
          },
          "buyer": {
            "address": "г. Москва, ул. Тестовая, д. 1",
            "inn": "4108003484",
            "kpp": "410801001",
            "name": "ООО Покупатель",
            "type": "COMPANY"
          },
          "goods": {
            "items": [
              {
                "count": 2,
                "name": "Товар",
                "price": 100,
                "productCode": "TEST-001",
                "sum": 200,
                "unit": {
                  "abbreviation": "Штуки",
                  "name": "PIECE",
                  "value": "шт"
                },
                "vat": {
                  "abbreviation": "НДС 20%",
                  "name": "VAT_20",
                  "value": "20"
                },
                "vatAmount": 40
              },
              {
                "count": 1,
                "name": "Товар-2",
                "price": 1,
                "sum": 1,
                "unit": {
                  "abbreviation": "Штуки",
                  "name": "PIECE",
                  "value": "шт"
                },
                "vat": {
                  "abbreviation": "Без НДС",
                  "name": "NO_VAT",
                  "value": "0"
                },
                "vatAmount": 0
              }
            ],
            "totalPrice": 201,
            "totalVatAmount": 40
          },
          "seller": {
            "address": "123154, Москва г, ул. Тестовая, д. 2",
            "cnum": "A12345",
            "inn": "0816020925",
            "kpp": "773401417",
            "name": "ООО Продавец"
          },
          "status": "2",
          "transferInfo": {
            "document": {
              "date": "2026-09-25",
              "name": "Договор",
              "number": "1"
            },
            "sellerTransferEmployee": {
              "fullName": "Иванов Иван Иванович",
              "position": "Директор"
            },
            "transferDate": "2026-09-25"
          },
          "type": "UPD"
        },
        "linkedDocuments": [],
        "type": "UPD"
      }
    },
    "closingDocumentDetailWorkAct": {
      "summary": "Закрывающий документ - Акт выполненных работ",
      "value": {
        "cnum": "A12345",
        "createdOn": "2026-09-30T10:19:16Z",
        "document": {
          "additionalInfo": {
            "documentDate": "2026-09-30",
            "documentNumber": "35503799",
            "lowerComment": "Претензий не имеем",
            "upperComment": "Работы выполнены в полном объеме"
          },
          "customer": {
            "address": "г. Москва, ул. Тестовая, д. 1",
            "inn": "401900899873",
            "innType": "IE",
            "name": "ИП Заказчик"
          },
          "executor": {
            "address": "123154, Москва г, ул. Тестовая, д. 2",
            "inn": "0816020925",
            "kpp": "773401417",
            "name": "ООО Исполнитель"
          },
          "services": {
            "items": [
              {
                "count": 200,
                "name": "Настройка ПО",
                "price": 113,
                "sum": 22600,
                "unit": {
                  "abbreviation": "Минуты",
                  "name": "MINUTE",
                  "value": "мин"
                },
                "vat": {
                  "abbreviation": "НДС 0%",
                  "name": "VAT_0",
                  "value": "0"
                },
                "vatAmount": 0
              }
            ],
            "totalPrice": 22600,
            "totalVatAmount": 0
          },
          "type": "WORK_ACT"
        },
        "linkedDocuments": [],
        "type": "WORK_ACT"
      }
    },
    "closingDocumentListResponse": {
      "summary": "Ответ со списком закрывающих документов",
      "value": {
        "documents": [
          {
            "cnum": "A12345",
            "customerInn": "9701098248",
            "customerName": "АО ВЕТРООГК-2",
            "date": "2026-10-01",
            "id": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e",
            "linkedDocuments": [],
            "numberOfPositions": 1,
            "numberOfRemainingLinkedDocuments": 0,
            "totalPrice": 82942,
            "totalVatAmount": 0,
            "type": "WORK_ACT"
          },
          {
            "cnum": "A12345",
            "customerInn": "4108003484",
            "customerName": "Conroy, Lebsack and Bruen",
            "date": "2026-09-29",
            "id": "caaedffc-d875-4de2-9a73-ba51da23a8dc",
            "linkedDocuments": [],
            "number": "86110305Aubergine",
            "numberOfPositions": 1,
            "numberOfRemainingLinkedDocuments": 0,
            "totalPrice": 22600,
            "totalVatAmount": 0,
            "type": "CONSIGNMENT_NOTE"
          },
          {
            "cnum": "A12345",
            "customerInn": "4108003484",
            "customerName": "ООО Покупатель УПД",
            "date": "2026-09-25",
            "id": "ac80e3ab-dda1-41d5-91eb-755fdb5621fd",
            "linkedDocuments": [],
            "number": "UPD-a8fce6a5",
            "numberOfPositions": 1,
            "numberOfRemainingLinkedDocuments": 0,
            "totalPrice": 200,
            "totalVatAmount": 40,
            "type": "UPD"
          }
        ],
        "maxPageSize": 30,
        "page": 0,
        "totalElements": 3,
        "totalPages": 1
      }
    },
    "consignmentNoteRequest": {
      "summary": "Товарная накладная - запрос",
      "value": {
        "additionalInfo": {
          "documentBase": {
            "date": "2026-09-30",
            "name": "Счет на оплату",
            "number": "84860631"
          },
          "documentDate": "2026-09-30",
          "documentNumber": "2",
          "operationType": "Реализация",
          "waybill": {
            "date": "2026-09-30",
            "number": "Транспорт-552"
          }
        },
        "buyer": {
          "address": "г. Москва, ул. Тестовая, д. 1",
          "inn": "4108003484",
          "innType": "COMPANY",
          "kpp": "410801001",
          "name": "ООО Покупатель",
          "okpo": "0120223589",
          "receiver": true
        },
        "goods": {
          "items": [
            {
              "count": 10,
              "name": "Монитор",
              "price": 50000,
              "unit": "PACKAGE",
              "vat": "VAT_10"
            }
          ]
        },
        "seller": {
          "address": "123154, Москва г, ул. Тестовая, д. 2",
          "consignor": true,
          "inn": "0816020925",
          "kpp": "773401417",
          "name": "ООО Продавец",
          "okpo": "0120223589"
        },
        "type": "CONSIGNMENT_NOTE"
      }
    },
    "measurementResponse": {
      "summary": "Список единиц измерения и ставок НДС",
      "value": {
        "units": [
          {
            "abbreviation": "Штуки",
            "name": "PIECE",
            "value": "шт"
          },
          {
            "abbreviation": "Часы",
            "name": "HOUR",
            "value": "ч"
          }
        ],
        "vat": [
          {
            "abbreviation": "НДС 0%",
            "name": "VAT_0",
            "value": "0"
          },
          {
            "abbreviation": "НДС 20%",
            "name": "VAT_20",
            "value": "20"
          }
        ]
      }
    },
    "updRequest": {
      "summary": "УПД - запрос",
      "value": {
        "additionalInfo": {
          "documentDate": "2026-09-25",
          "documentNumber": "UPD-1c6410d2",
          "operationType": "Продажа"
        },
        "buyer": {
          "address": "г. Москва, ул. Тестовая, д. 1",
          "inn": "4108003484",
          "kpp": "410801001",
          "name": "ООО Покупатель",
          "type": "COMPANY"
        },
        "items": [
          {
            "count": 2,
            "name": "Товар",
            "price": 100,
            "productCode": "TEST-001",
            "unit": "PIECE",
            "vat": "VAT_20"
          }
        ],
        "transferInfo": {
          "document": {
            "date": "2026-09-25",
            "name": "Договор",
            "number": "1"
          },
          "sellerTransferEmployee": {
            "fio": {
              "firstName": "Иван",
              "lastName": "Иванов",
              "middleName": "Иванович"
            },
            "position": "Директор"
          },
          "transferDate": "2026-09-25"
        },
        "type": "UPD"
      }
    },
    "workActRequest": {
      "summary": "Акт выполненных работ - запрос",
      "value": {
        "additionalInfo": {
          "documentDate": "2026-09-30",
          "documentNumber": "35503799",
          "lowerComment": "Претензий не имеем",
          "upperComment": "Работы выполнены в полном объеме"
        },
        "customer": {
          "address": "г. Москва, ул. Тестовая, д. 1",
          "inn": "401900899873",
          "innType": "IE",
          "name": "ИП Заказчик"
        },
        "executor": {
          "address": "123154, Москва г, ул. Тестовая, д. 2",
          "inn": "0816020925",
          "kpp": "773401417",
          "name": "ООО Исполнитель"
        },
        "services": [
          {
            "count": 8,
            "name": "Настройка ПО",
            "price": 2500,
            "unit": "HOUR",
            "vat": "NO_VAT"
          }
        ],
        "type": "WORK_ACT"
      }
    }
  },
  "parameters": {
    "AuthorizationHeader": {
      "description": "Токен доступа",
      "in": "header",
      "name": "Authorization",
      "required": true,
      "schema": {
        "example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc=",
        "format": "byte",
        "type": "string"
      }
    },
    "IdTokenHeader": {
      "description": "Идентификационный токен пользователя",
      "in": "header",
      "name": "Id-Token",
      "required": true,
      "schema": {
        "example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc=",
        "format": "byte",
        "type": "string"
      }
    }
  },
  "responses": {
    "InternalError": {
      "description": "Внутренняя ошибка"
    },
    "Unauthorized": {
      "description": "Аутентификация не пройдена"
    }
  },
  "schemas": {
    "AbstractClosingDocumentRequest": {
      "description": "Базовая модель запроса на создание закрывающего документа",
      "discriminator": {
        "propertyName": "type"
      },
      "properties": {
        "bills": {
          "description": "Связанные счета",
          "example": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "items": {
            "format": "uuid",
            "type": "string"
          },
          "type": "array",
          "uniqueItems": true
        },
        "type": {
          "description": "Тип закрывающего документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "WORK_ACT",
          "type": "string"
        }
      },
      "required": [
        "type"
      ],
      "type": "object"
    },
    "AbstractClosingDocumentResponse": {
      "description": "Базовая модель закрывающего документа",
      "discriminator": {
        "propertyName": "type"
      },
      "properties": {
        "type": {
          "description": "Тип закрывающего документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "WORK_ACT",
          "type": "string"
        }
      },
      "required": [
        "type"
      ],
      "type": "object"
    },
    "AccountRequest": {
      "description": "Счёт получателя",
      "example": {
        "bic": "081395980",
        "corrAcc": "30101810400000000598",
        "name": "АО «Банк»",
        "num": "51421810026450470886"
      },
      "properties": {
        "bic": {
          "description": "БИК получателя",
          "example": "081395980",
          "type": "string"
        },
        "branchName": {
          "description": "Наименование отделения банка получателя",
          "example": "Московский филиал АО «Банк»",
          "type": "string"
        },
        "corrAcc": {
          "description": "Корреспондентский счёт",
          "example": "30101810400000000598",
          "type": "string"
        },
        "name": {
          "description": "Наименование счёта",
          "example": "АО «Банк»",
          "type": "string"
        },
        "num": {
          "description": "Номер счёта",
          "example": "51421810026450470886",
          "type": "string"
        }
      },
      "required": [
        "bic",
        "name",
        "num"
      ],
      "type": "object"
    },
    "AccountResponse": {
      "description": "Банковский счёт получателя",
      "example": {
        "bic": "081395980",
        "branchName": "Московский филиал АО «Банк»",
        "corrAcc": "30101810400000000598",
        "name": "АО «Банк»",
        "num": "51421810026450470886"
      },
      "properties": {
        "bic": {
          "description": "БИК банка",
          "example": "081395980",
          "type": "string"
        },
        "branchName": {
          "description": "Наименование отделения банка",
          "example": "Московский филиал АО «Банк»",
          "type": "string"
        },
        "corrAcc": {
          "description": "Корреспондентский счёт",
          "example": "30101810400000000598",
          "type": "string"
        },
        "name": {
          "description": "Наименование банка",
          "example": "АО «Банк»",
          "type": "string"
        },
        "num": {
          "description": "Номер счёта",
          "example": "51421810026450470886",
          "type": "string"
        }
      },
      "required": [
        "bic",
        "branchName",
        "corrAcc",
        "name",
        "num"
      ],
      "type": "object"
    },
    "AdditionalInfo": {
      "description": "Дополнительная информация УПД",
      "properties": {
        "correctionDate": {
          "description": "Дата исправления",
          "example": "2026-09-26",
          "format": "date",
          "type": "string"
        },
        "correctionNumber": {
          "description": "Номер исправления",
          "example": "1",
          "type": "string"
        },
        "documentDate": {
          "description": "Дата документа",
          "example": "2026-09-25",
          "format": "date",
          "type": "string"
        },
        "documentNumber": {
          "description": "Номер документа",
          "example": "UPD-1c6410d2",
          "type": "string"
        },
        "operationType": {
          "description": "Тип операции",
          "example": "Продажа",
          "type": "string"
        },
        "paymentDocumentDate": {
          "description": "Дата платежно-расчетного документа",
          "example": "2026-09-26",
          "format": "date",
          "type": "string"
        },
        "paymentDocumentNumber": {
          "description": "Номер платежно-расчетного документа",
          "example": "123",
          "type": "string"
        }
      },
      "required": [
        "documentDate",
        "documentNumber"
      ],
      "type": "object"
    },
    "AdditionalInfoRequest": {
      "description": "Дополнительная информация",
      "properties": {
        "documentDate": {
          "description": "Дата отправки документа",
          "example": "2026-09-30",
          "format": "date",
          "type": "string"
        },
        "documentNumber": {
          "description": "Номер документа",
          "example": "35503799",
          "type": "string"
        },
        "lowerComment": {
          "description": "Комментарий внизу бланка документа",
          "example": "Претензий не имеем",
          "type": "string"
        },
        "upperComment": {
          "description": "Комментарий вверху бланка документа",
          "example": "Работы выполнены в полном объеме",
          "type": "string"
        }
      },
      "required": [
        "documentDate"
      ],
      "type": "object"
    },
    "BankRequisites": {
      "description": "Банковские реквизиты",
      "properties": {
        "accountNumber": {
          "description": "Номер счета",
          "example": "51421810026450470886",
          "type": "string"
        },
        "bic": {
          "description": "БИК банка",
          "example": "081395980",
          "type": "string"
        },
        "corrAccountNumber": {
          "description": "Номер корреспондентского счета",
          "example": "30101810400000000598",
          "type": "string"
        },
        "name": {
          "description": "Наименование банка",
          "example": "АО «Банк»",
          "type": "string"
        }
      },
      "type": "object"
    },
    "BankRequisitesRequest": {
      "description": "Банковские реквизиты",
      "properties": {
        "accountNumber": {
          "description": "Номер счета",
          "example": "51421810026450470886",
          "type": "string"
        },
        "bic": {
          "description": "БИК банка",
          "example": "081395980",
          "type": "string"
        },
        "corrAccountNumber": {
          "description": "Номер корреспондентского счета",
          "example": "30101810400000000598",
          "type": "string"
        },
        "name": {
          "description": "Наименование банка",
          "example": "АО «Банк»",
          "type": "string"
        }
      },
      "type": "object"
    },
    "BillDetailsLinkedDocumentResponse": {
      "description": "Связанный документ в детальной информации о счете",
      "properties": {
        "documentDate": {
          "description": "Дата связанного документа",
          "example": "2026-09-30",
          "format": "date",
          "type": "string"
        },
        "documentNumber": {
          "description": "Номер связанного документа",
          "example": "35503799",
          "type": "string"
        },
        "id": {
          "description": "Идентификатор связанного документа",
          "example": "60612e6c-d182-4b59-a868-69714a910ee3",
          "format": "uuid",
          "type": "string"
        },
        "payer": {
          "$ref": "#/components/schemas/Payer",
          "description": "Плательщик"
        },
        "totalPrice": {
          "description": "Итоговая сумма",
          "example": 22600,
          "type": "number"
        },
        "totalVatAmount": {
          "description": "Итоговый НДС",
          "example": 0,
          "type": "number"
        },
        "type": {
          "description": "Тип закрывающего документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "WORK_ACT",
          "type": "string"
        }
      },
      "required": [
        "documentDate",
        "id",
        "totalPrice",
        "totalVatAmount",
        "type"
      ],
      "type": "object"
    },
    "BillDetailsResponse": {
      "description": "Детальная информация о счете на оплату",
      "properties": {
        "cnum": {
          "description": "CNUM организации",
          "example": "UVGASK",
          "type": "string"
        },
        "createdOn": {
          "description": "Дата и время создания счета",
          "example": "2026-09-30T10:19:26Z",
          "format": "date-time",
          "type": "string"
        },
        "docNumber": {
          "description": "Номер документа",
          "example": "1",
          "type": "string"
        },
        "goods": {
          "$ref": "#/components/schemas/GoodsResponse"
        },
        "id": {
          "description": "Идентификатор счета",
          "example": "60612e6c-d182-4b59-a868-69714a910ee3",
          "format": "uuid",
          "type": "string"
        },
        "invoice": {
          "$ref": "#/components/schemas/Invoice",
          "description": "Счёт на оплату"
        },
        "linkedDocuments": {
          "description": "Связанные закрывающие документы",
          "example": [
            {
              "documentDate": "2026-09-30",
              "documentNumber": "35503799",
              "id": "60612e6c-d182-4b59-a868-69714a910ee3",
              "totalPrice": 22600,
              "totalVatAmount": 0,
              "type": "WORK_ACT"
            }
          ],
          "items": {
            "$ref": "#/components/schemas/BillDetailsLinkedDocumentResponse"
          },
          "type": "array"
        },
        "payee": {
          "$ref": "#/components/schemas/PayeeResponse",
          "description": "Получатель платежа"
        },
        "payer": {
          "$ref": "#/components/schemas/Payer",
          "description": "Плательщик"
        },
        "payments": {
          "description": "Оплаты по счету",
          "example": [
            {
              "operDate": "2026-09-30",
              "total": 6002.5,
              "transactionKey": "2026-09-30_401900899873_123_6002.50"
            }
          ],
          "items": {
            "$ref": "#/components/schemas/BillPaymentResponse"
          },
          "type": "array"
        },
        "receipts": {
          "description": "Связанные чеки самозанятых",
          "example": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "items": {
            "format": "uuid",
            "type": "string"
          },
          "type": "array"
        },
        "status": {
          "description": "Статус счета на оплату",
          "enum": [
            "PAYMENT_PENDING",
            "PAID"
          ],
          "example": "PAYMENT_PENDING",
          "type": "string"
        },
        "statusIsUpdating": {
          "description": "Признак того, что статус счета сейчас обновляется",
          "example": false,
          "type": "boolean"
        }
      },
      "required": [
        "cnum",
        "createdOn",
        "docNumber",
        "goods",
        "id",
        "invoice",
        "linkedDocuments",
        "payee",
        "payer",
        "payments",
        "receipts",
        "status",
        "statusIsUpdating"
      ],
      "type": "object"
    },
    "BillMiniResponse": {
      "description": "Краткая информация о счете на оплату",
      "properties": {
        "amount": {
          "description": "Сумма счета",
          "example": 6002.5,
          "type": "number"
        },
        "cnum": {
          "description": "CNUM организации",
          "example": "UVGASK",
          "type": "string"
        },
        "createdDate": {
          "description": "Дата и время создания счета (количество секунд с начала эпохи Unix, десятичная дробь с наносекундами)",
          "example": 1790763566,
          "type": "number"
        },
        "docNumber": {
          "description": "Номер документа",
          "example": "1",
          "type": "string"
        },
        "id": {
          "description": "Идентификатор счета",
          "example": "60612e6c-d182-4b59-a868-69714a910ee3",
          "format": "uuid",
          "type": "string"
        },
        "invoiceDate": {
          "description": "Дата выставления счета (количество секунд с начала эпохи Unix, десятичная дробь с наносекундами)",
          "example": 1790726400,
          "type": "number"
        },
        "items": {
          "description": "Список товаров",
          "items": {
            "$ref": "#/components/schemas/ItemMiniResponse"
          },
          "type": "array"
        },
        "linkedDocuments": {
          "description": "Связанные закрывающие документы",
          "items": {
            "$ref": "#/components/schemas/CDListLinkedDocumentResponse"
          },
          "type": "array"
        },
        "numberOfRemainingLinkedDocuments": {
          "description": "Количество связанных документов, которые не вернулись в ответе",
          "example": 0,
          "format": "int32",
          "type": "integer"
        },
        "payee": {
          "$ref": "#/components/schemas/PayeeMiniResponse",
          "description": "Получатель платежа"
        },
        "payer": {
          "$ref": "#/components/schemas/PayerMiniResponse",
          "description": "Плательщик"
        },
        "receipts": {
          "description": "Связанные чеки самозанятых",
          "example": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "items": {
            "format": "uuid",
            "type": "string"
          },
          "type": "array"
        },
        "status": {
          "description": "Статус счета на оплату",
          "enum": [
            "PAYMENT_PENDING",
            "PAID"
          ],
          "example": "PAYMENT_PENDING",
          "type": "string"
        }
      },
      "required": [
        "amount",
        "cnum",
        "createdDate",
        "docNumber",
        "id",
        "invoiceDate",
        "items",
        "linkedDocuments",
        "numberOfRemainingLinkedDocuments",
        "payee",
        "payer",
        "receipts",
        "status"
      ],
      "type": "object"
    },
    "BillPaymentResponse": {
      "description": "Оплата по счету",
      "properties": {
        "accountCurrency": {
          "description": "Валюта счета (код по ISO 4217)",
          "enum": [
            "AFA",
            "ALK",
            "ALL",
            "DZD",
            "ADP",
            "AOK",
            "AON",
            "AZM",
            "ARA",
            "ARP",
            "ARS",
            "ARY",
            "AUD",
            "ATS",
            "BSD",
            "BHD",
            "BDT",
            "AMD",
            "BBD",
            "BEF",
            "BMD",
            "BTN",
            "BOB",
            "BOP",
            "BAD",
            "BWP",
            "BRB",
            "BRC",
            "BRE",
            "BRN",
            "BZD",
            "SBD",
            "BND",
            "BGJ",
            "BGK",
            "BGL",
            "BUK",
            "MMK",
            "BIF",
            "BYB",
            "KHR",
            "CAD",
            "CVE",
            "KYD",
            "LKR",
            "CLP",
            "CNY",
            "COP",
            "KMF",
            "ZRN",
            "ZRZ",
            "CRC",
            "HRD",
            "HRK",
            "CUP",
            "CYP",
            "CSK",
            "CSJ",
            "CZK",
            "DKK",
            "DOP",
            "ECS",
            "SVC",
            "GQE",
            "ETB",
            "ERN",
            "EEK",
            "FKP",
            "FJD",
            "FIM",
            "FRF",
            "DJF",
            "GEK",
            "GMD",
            "DEM",
            "DDM",
            "GHC",
            "GIP",
            "GRD",
            "GTQ",
            "GNE",
            "GNF",
            "GNS",
            "GYD",
            "HTG",
            "HNL",
            "HKD",
            "HUF",
            "ISJ",
            "ISK",
            "INR",
            "IDR",
            "IRR",
            "IQD",
            "IEP",
            "ILP",
            "ILR",
            "ILS",
            "ITL",
            "JMD",
            "JPY",
            "KZT",
            "JOD",
            "KES",
            "KPW",
            "KRW",
            "KWD",
            "KGS",
            "LAJ",
            "LAK",
            "LBP",
            "LSL",
            "LSM",
            "LVL",
            "LVR",
            "LRD",
            "LYD",
            "LTL",
            "LTT",
            "LUF",
            "MOP",
            "MGF",
            "MWK",
            "MYR",
            "MVQ",
            "MVR",
            "MLF",
            "MTL",
            "MTP",
            "MRO",
            "MUR",
            "MXN",
            "MXP",
            "MNT",
            "MDL",
            "MAD",
            "MZE",
            "MZM",
            "OMR",
            "NAD",
            "NPR",
            "NLG",
            "ANG",
            "AWG",
            "VUV",
            "NZD",
            "NIC",
            "NIO",
            "NGN",
            "NOK",
            "PKR",
            "PAB",
            "PGK",
            "PYG",
            "PEH",
            "PEI",
            "PEN",
            "PES",
            "PHP",
            "PLZ",
            "PTE",
            "GWE",
            "GWP",
            "TPE",
            "QAR",
            "ROK",
            "ROL",
            "RUB",
            "RWF",
            "SHP",
            "STD",
            "SAR",
            "SCR",
            "SLL",
            "SGD",
            "SKK",
            "VNC",
            "VND",
            "SIT",
            "SOS",
            "ZAR",
            "RHD",
            "ZWC",
            "ZWD",
            "YDD",
            "ESP",
            "SSP",
            "SDD",
            "SDP",
            "SRG",
            "SZL",
            "SEK",
            "CHF",
            "SYP",
            "TJR",
            "THB",
            "TOP",
            "TTD",
            "AED",
            "TND",
            "TRL",
            "TMM",
            "UGS",
            "UGW",
            "UGX",
            "UAK",
            "MKD",
            "RUR",
            "SUR",
            "EGP",
            "GBP",
            "TZS",
            "USD",
            "UYN",
            "UYP",
            "UYU",
            "UZS",
            "VEB",
            "WST",
            "YER",
            "YUD",
            "YUN",
            "CSD",
            "YUM",
            "ZMK",
            "TWD",
            "SLE",
            "VED",
            "UYW",
            "VES",
            "MRU",
            "STN",
            "CUC",
            "ZWL",
            "BYN",
            "TMT",
            "ZWR",
            "GHS",
            "VEF",
            "SDG",
            "GHP",
            "UYI",
            "RSD",
            "ZWN",
            "MZN",
            "AZN",
            "AYM",
            "RON",
            "CHE",
            "CHC",
            "CHW",
            "TRY",
            "XAF",
            "XCD",
            "XOF",
            "XPF",
            "XEU",
            "XBA",
            "XBB",
            "XBC",
            "XBD",
            "XAU",
            "XDR",
            "XAG",
            "XPT",
            "XTS",
            "XPD",
            "XUA",
            "ZMW",
            "SRD",
            "MGA",
            "COU",
            "AFN",
            "TJS",
            "AOA",
            "BYR",
            "BGN",
            "CDF",
            "BAM",
            "EUR",
            "MXV",
            "UAH",
            "GEL",
            "AOR",
            "ECV",
            "BOV",
            "PLN",
            "BRL",
            "BRR",
            "LUL",
            "LUC",
            "CLF",
            "ZAL",
            "BEL",
            "BEC",
            "XSU",
            "ESB",
            "ESA",
            "USN",
            "USS",
            "XXX"
          ],
          "example": "RUB",
          "type": "string"
        },
        "corrAccount": {
          "description": "Счёт контрагента",
          "example": "51421810026450470886",
          "type": "string"
        },
        "corrName": {
          "description": "Наименование контрагента",
          "example": "ООО Покупатель",
          "type": "string"
        },
        "docNum": {
          "description": "Номер документа",
          "example": "1",
          "type": "string"
        },
        "operDate": {
          "description": "Дата операции",
          "example": "2026-09-30",
          "format": "date",
          "type": "string"
        },
        "orgName": {
          "description": "Наименование организации",
          "example": "ООО Продавец",
          "type": "string"
        },
        "purpose": {
          "description": "Назначение платежа",
          "example": "Оплата по счёту №1 от 30.09.2026",
          "type": "string"
        },
        "total": {
          "description": "Сумма оплаты",
          "example": 6002.5,
          "type": "number"
        },
        "transactionKey": {
          "description": "Уникальный ключ транзакции для предотвращения дублей",
          "example": "2026-09-30_401900899873_123_6002.50",
          "type": "string"
        }
      },
      "required": [
        "transactionKey"
      ],
      "type": "object"
    },
    "BillRequest": {
      "description": "Корневая модель входящего документа",
      "properties": {
        "closingDocuments": {
          "description": "Связанные со счетом закрывающие документы",
          "example": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "items": {
            "format": "uuid",
            "type": "string"
          },
          "type": "array",
          "uniqueItems": true
        },
        "goods": {
          "$ref": "#/components/schemas/GoodsRequest",
          "description": "Модель с товарами"
        },
        "invoice": {
          "$ref": "#/components/schemas/Invoice",
          "description": "Модель выставленного счёта"
        },
        "payee": {
          "$ref": "#/components/schemas/PayeeRequest",
          "description": "Модель с данными получателя"
        },
        "payer": {
          "$ref": "#/components/schemas/PayerRequest",
          "description": "Модель с данными плательщика"
        },
        "receipts": {
          "description": "Связанные со счетом чеки самозанятых",
          "example": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "items": {
            "format": "uuid",
            "type": "string"
          },
          "type": "array",
          "uniqueItems": true
        }
      },
      "required": [
        "goods",
        "invoice",
        "payee",
        "payer"
      ],
      "type": "object"
    },
    "BillResponse": {
      "description": "Корневая модель исходящего документа.",
      "properties": {
        "documentId": {
          "description": "Идентификатор сохранённого документа.",
          "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "format": "uuid",
          "type": "string"
        }
      },
      "required": [
        "documentId"
      ],
      "type": "object"
    },
    "BillStatusUpdateRequest": {
      "description": "Запрос на обновление статуса счетов",
      "properties": {
        "billIds": {
          "description": "Список идентификаторов счетов для обновления статуса",
          "example": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "items": {
            "format": "uuid",
            "type": "string"
          },
          "minItems": 1,
          "type": "array"
        },
        "status": {
          "description": "Новый статус для счетов",
          "enum": [
            "PAYMENT_PENDING",
            "PAID"
          ],
          "example": "PAID",
          "type": "string"
        }
      },
      "required": [
        "billIds",
        "status"
      ],
      "type": "object"
    },
    "BillUpdateRequest": {
      "description": "Корневая модель обновления документа",
      "properties": {
        "closingDocuments": {
          "description": "Связанные со счетом закрывающие документы",
          "example": [
            "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          ],
          "items": {
            "format": "uuid",
            "type": "string"
          },
          "type": "array",
          "uniqueItems": true
        },
        "goods": {
          "$ref": "#/components/schemas/GoodsUpdateRequest",
          "description": "Модель с товарами"
        },
        "invoice": {
          "$ref": "#/components/schemas/Invoice",
          "description": "Модель выставленного счёта"
        },
        "payee": {
          "$ref": "#/components/schemas/PayeeRequest",
          "description": "Модель с данными получателя"
        },
        "payer": {
          "$ref": "#/components/schemas/PayerRequest",
          "description": "Модель с данными плательщика"
        }
      },
      "required": [
        "goods",
        "invoice",
        "payee",
        "payer"
      ],
      "type": "object"
    },
    "Buyer": {
      "description": "Покупатель",
      "properties": {
        "address": {
          "description": "Адрес",
          "example": "г. Москва, ул. Тестовая, д. 1",
          "type": "string"
        },
        "bankRequisites": {
          "$ref": "#/components/schemas/BankRequisites",
          "description": "Банковские реквизиты"
        },
        "inn": {
          "description": "ИНН",
          "example": "394439302723",
          "type": "string"
        },
        "innType": {
          "description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
          "enum": [
            "INDIVIDUAL",
            "IE",
            "COMPANY"
          ],
          "example": "COMPANY",
          "type": "string"
        },
        "kpp": {
          "description": "КПП",
          "example": "637996731",
          "type": "string"
        },
        "name": {
          "description": "Наименование",
          "example": "ООО Покупатель",
          "type": "string"
        },
        "okpo": {
          "description": "ОКПО",
          "example": "0120223589",
          "type": "string"
        },
        "phoneNumber": {
          "description": "Номер телефона",
          "example": "+7 (900) 449-10-42",
          "type": "string"
        },
        "receiver": {
          "description": "Признак является ли покупатель получателем груза",
          "example": false,
          "type": "boolean"
        }
      },
      "required": [
        "innType",
        "name",
        "receiver"
      ],
      "type": "object"
    },
    "BuyerRequest": {
      "description": "Покупатель",
      "properties": {
        "address": {
          "description": "Адрес продавца",
          "example": "г. Москва, ул. Тестовая, д. 1",
          "type": "string"
        },
        "bankRequisites": {
          "$ref": "#/components/schemas/BankRequisitesRequest",
          "description": "Банковские реквизиты"
        },
        "inn": {
          "description": "ИНН",
          "example": "394439302723",
          "type": "string"
        },
        "innType": {
          "description": "Тип ИНН. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
          "enum": [
            "INDIVIDUAL",
            "IE",
            "COMPANY"
          ],
          "example": "COMPANY",
          "type": "string"
        },
        "isInn": {
          "description": "Признак наличия ИНН",
          "example": true,
          "type": "boolean"
        },
        "isKpp": {
          "description": "Признак наличия КПП",
          "example": true,
          "type": "boolean"
        },
        "kpp": {
          "description": "КПП",
          "example": "637996731",
          "type": "string"
        },
        "name": {
          "description": "Наименование продавца",
          "example": "ООО Покупатель",
          "type": "string"
        },
        "okpo": {
          "description": "ОКПО",
          "example": "0120223589",
          "type": "string"
        },
        "phoneNumber": {
          "description": "Номер телефона",
          "example": "+7 (900) 449-10-42",
          "type": "string"
        },
        "receiver": {
          "description": "Признак является ли покупатель получателем груза",
          "example": false,
          "type": "boolean"
        }
      },
      "required": [
        "innType",
        "isInn",
        "isKpp",
        "name",
        "receiver"
      ],
      "type": "object"
    },
    "CDDetailsLinkedDocumentResponse": {
      "description": "Связанный документ в детальной информации о закрывающем документе",
      "properties": {
        "documentDate": {
          "description": "Дата связанного документа",
          "example": "2026-09-30",
          "format": "date",
          "type": "string"
        },
        "documentNumber": {
          "description": "Номер связанного документа",
          "example": "35503799",
          "type": "string"
        },
        "id": {
          "description": "Идентификатор связанного документа",
          "example": "60612e6c-d182-4b59-a868-69714a910ee3",
          "format": "uuid",
          "type": "string"
        },
        "items": {
          "description": "Список товаров",
          "items": {
            "$ref": "#/components/schemas/ItemMiniResponse"
          },
          "type": "array"
        },
        "payer": {
          "$ref": "#/components/schemas/Payer",
          "description": "Плательщик"
        },
        "totalPrice": {
          "description": "Итоговая сумма",
          "example": 22600,
          "type": "number"
        },
        "totalVatAmount": {
          "description": "Итоговый НДС",
          "example": 0,
          "type": "number"
        },
        "type": {
          "description": "Тип закрывающего документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "WORK_ACT",
          "type": "string"
        }
      },
      "required": [
        "documentDate",
        "id",
        "items",
        "totalPrice",
        "totalVatAmount",
        "type"
      ],
      "type": "object"
    },
    "CDListLinkedDocumentResponse": {
      "description": "Список связанных документов",
      "properties": {
        "documentNumber": {
          "description": "Номер связанного документа",
          "example": "1",
          "type": "string"
        },
        "id": {
          "description": "Идентификатор связанного документа",
          "example": "60612e6c-d182-4b59-a868-69714a910ee3",
          "format": "uuid",
          "type": "string"
        },
        "type": {
          "description": "Тип связанного документа. Одно из значений BILL, WORK_ACT, CONSIGNMENT_NOTE, INVOICE_FACTURA",
          "example": "BILL",
          "type": "string"
        }
      },
      "required": [
        "id",
        "type"
      ],
      "type": "object"
    },
    "ClosingDocumentDetailsResponse": {
      "description": "Детальная информация о закрывающем документе",
      "properties": {
        "cnum": {
          "description": "Уникальный идентификатор организации",
          "example": "UVGASK",
          "type": "string"
        },
        "createdOn": {
          "description": "Дата и время создания документа",
          "example": "2026-09-30T15:39:26.681Z",
          "format": "date-time",
          "type": "string"
        },
        "document": {
          "description": "Содержимое закрывающего документа",
          "example": {
            "status": "2",
            "type": "UPD"
          },
          "oneOf": [
            {
              "$ref": "#/components/schemas/ConsignmentNote"
            },
            {
              "$ref": "#/components/schemas/UPD"
            },
            {
              "$ref": "#/components/schemas/WorkAct"
            }
          ]
        },
        "linkedDocuments": {
          "description": "Связанные со счетом закрывающие документы",
          "example": [
            {
              "documentDate": "2026-09-30",
              "documentNumber": "35503799",
              "id": "60612e6c-d182-4b59-a868-69714a910ee3",
              "items": [],
              "totalPrice": 22600,
              "totalVatAmount": 0,
              "type": "WORK_ACT"
            }
          ],
          "items": {
            "$ref": "#/components/schemas/CDDetailsLinkedDocumentResponse"
          },
          "type": "array"
        },
        "type": {
          "description": "Тип закрывающего документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "UPD",
          "type": "string"
        }
      },
      "required": [
        "cnum",
        "createdOn",
        "document",
        "linkedDocuments",
        "type"
      ],
      "type": "object"
    },
    "ClosingDocumentListItemResponse": {
      "description": "Список закрывающих документов",
      "properties": {
        "cnum": {
          "description": "CNUM организации",
          "example": "A12345",
          "type": "string"
        },
        "customerInn": {
          "description": "ИНН контрагента",
          "example": 6145133894,
          "type": "string"
        },
        "customerName": {
          "description": "Наименование контрагента",
          "example": "ооо ромашка",
          "type": "string"
        },
        "date": {
          "description": "Дата документа",
          "example": "2007-12-03",
          "format": "date",
          "type": "string"
        },
        "id": {
          "description": "Идентификатор документа",
          "example": "60612e6c-d182-4b59-a868-69714a910ee3",
          "format": "uuid",
          "type": "string"
        },
        "linkedDocuments": {
          "description": "Список связанных документов, количество документов ограничено",
          "items": {
            "$ref": "#/components/schemas/CDListLinkedDocumentResponse"
          },
          "type": "array"
        },
        "number": {
          "description": "Номер документа",
          "example": 1,
          "type": "string"
        },
        "numberOfPositions": {
          "description": "Количество позиций",
          "example": 5,
          "format": "int32",
          "type": "integer"
        },
        "numberOfRemainingLinkedDocuments": {
          "description": "Количество связанных документов, которые не вернулись в ответе",
          "example": 5,
          "format": "int64",
          "type": "integer"
        },
        "totalPrice": {
          "description": "Сумма услуг",
          "example": 123.11,
          "type": "number"
        },
        "totalVatAmount": {
          "description": "Суммарный НДС",
          "example": 123.11,
          "type": "number"
        },
        "type": {
          "description": "Тип документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "WORK_ACT",
          "type": "string"
        }
      },
      "required": [
        "cnum",
        "customerName",
        "date",
        "id",
        "linkedDocuments",
        "numberOfPositions",
        "numberOfRemainingLinkedDocuments",
        "totalPrice",
        "type"
      ],
      "type": "object"
    },
    "ClosingDocumentListResponse": {
      "description": "Ответ на запрос получения списка закрывающих документов",
      "properties": {
        "documents": {
          "description": "Список закрывающих документов",
          "example": [
            {
              "cnum": "A12345",
              "customerInn": "9701098248",
              "customerName": "АО ВЕТРООГК-2",
              "date": "2026-10-01",
              "id": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e",
              "linkedDocuments": [],
              "number": "1",
              "numberOfPositions": 1,
              "numberOfRemainingLinkedDocuments": 0,
              "totalPrice": 82942,
              "totalVatAmount": 0,
              "type": "WORK_ACT"
            }
          ],
          "items": {
            "$ref": "#/components/schemas/ClosingDocumentListItemResponse"
          },
          "type": "array"
        },
        "maxPageSize": {
          "description": "Максимальное количество элементов на странице",
          "example": 30,
          "format": "int32",
          "type": "integer"
        },
        "page": {
          "description": "Порядковый номер страницы, 0-based",
          "example": 0,
          "format": "int32",
          "type": "integer"
        },
        "totalElements": {
          "description": "Всего документов",
          "example": 40,
          "format": "int64",
          "type": "integer"
        },
        "totalPages": {
          "description": "Всего страниц",
          "example": 10,
          "format": "int32",
          "type": "integer"
        }
      },
      "required": [
        "documents",
        "maxPageSize",
        "page",
        "totalElements",
        "totalPages"
      ],
      "type": "object"
    },
    "ClosingDocumentResponse": {
      "description": "Созданный закрывающий документ",
      "properties": {
        "id": {
          "description": "Идентификатор созданного документа",
          "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "format": "uuid",
          "type": "string"
        },
        "type": {
          "description": "Тип закрывающего документа",
          "enum": [
            "BILL",
            "WORK_ACT",
            "CONSIGNMENT_NOTE",
            "UPD",
            "INVOICE_FACTURA"
          ],
          "example": "UPD",
          "type": "string"
        }
      },
      "required": [
        "id",
        "type"
      ],
      "type": "object"
    },
    "ConsignmentNote": {
      "allOf": [
        {
          "$ref": "#/components/schemas/AbstractClosingDocumentResponse"
        },
        {
          "properties": {
            "additionalInfo": {
              "$ref": "#/components/schemas/ConsignmentNoteAdditionalInfo",
              "description": "Дополнительная информация"
            },
            "buyer": {
              "$ref": "#/components/schemas/Buyer",
              "description": "Покупатель"
            },
            "consignor": {
              "$ref": "#/components/schemas/Consignor",
              "description": "Отправитель груза"
            },
            "goods": {
              "$ref": "#/components/schemas/Goods",
              "description": "Товары"
            },
            "receiver": {
              "$ref": "#/components/schemas/Receiver",
              "description": "Получатель груза"
            },
            "seller": {
              "$ref": "#/components/schemas/Seller",
              "description": "Продавец"
            }
          },
          "type": "object"
        }
      ],
      "description": "Модель товарной накладной",
      "required": [
        "additionalInfo",
        "buyer",
        "goods",
        "seller",
        "type"
      ]
    },
    "ConsignmentNoteAdditionalInfo": {
      "description": "Дополнительная информация товарной накладной",
      "properties": {
        "documentBase": {
          "$ref": "#/components/schemas/DocumentBase",
          "description": "Документ-основание"
        },
        "documentDate": {
          "description": "Дата документа",
          "example": "2026-09-30",
          "format": "date",
          "type": "string"
        },
        "documentNumber": {
          "description": "Номер документа",
          "example": "2",
          "type": "string"
        },
        "operationType": {
          "description": "Тип операции",
          "example": "Реализация",
          "type": "string"
        },
        "waybill": {
          "$ref": "#/components/schemas/Waybill",
          "description": "Транспортная накладная"
        }
      },
      "required": [
        "documentBase",
        "documentDate",
        "documentNumber"
      ],
      "type": "object"
    },
    "ConsignmentNoteRequest": {
      "allOf": [
        {
          "$ref": "#/components/schemas/AbstractClosingDocumentRequest"
        },
        {
          "properties": {
            "additionalInfo": {
              "$ref": "#/components/schemas/AdditionalInfoRequest",
              "description": "Дополнительная информация"
            },
            "bills": {
              "description": "Связанные счета",
              "example": [
                "3fa85f64-5717-4562-b3fc-2c963f66afa6"
              ],
              "items": {
                "format": "uuid",
                "type": "string"
              },
              "type": "array",
              "uniqueItems": true
            },
            "buyer": {
              "$ref": "#/components/schemas/BuyerRequest",
              "description": "Покупатель"
            },
            "consignor": {
              "$ref": "#/components/schemas/ConsignorRequest",
              "description": "Отправитель груза. Поле обязательно, если seller.consignor = false"
            },
            "goods": {
              "$ref": "#/components/schemas/GoodsRequest",
              "description": "Товары"
            },
            "receiver": {
              "$ref": "#/components/schemas/ReceiverRequest",
              "description": "Получатель груза. Поле обязательно, если buyer.receiver = false"
            },
            "seller": {
              "$ref": "#/components/schemas/SellerRequest",
              "description": "Продавец"
            }
          },
          "type": "object"
        }
      ],
      "description": "Модель товарной накладной",
      "required": [
        "additionalInfo",
        "buyer",
        "goods",
        "seller",
        "type"
      ]
    },
    "Consignor": {
      "description": "Отправитель груза",
      "properties": {
        "address": {
          "description": "Адрес",
          "example": "123154, Москва г, ул. Тестовая, д. 2",
          "type": "string"
        },
        "bankRequisites": {
          "$ref": "#/components/schemas/BankRequisites",
          "description": "Банковские реквизиты"
        },
        "inn": {
          "description": "ИНН",
          "example": "394439302723",
          "type": "string"
        },
        "innType": {
          "description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
          "enum": [
            "INDIVIDUAL",
            "IE",
            "COMPANY"
          ],
          "example": "IE",
          "type": "string"
        },
        "kpp": {
          "description": "КПП",
          "example": "637996731",
          "type": "string"
        },
        "name": {
          "description": "Наименование",
          "example": "ООО Отправитель",
          "type": "string"
        },
        "okpo": {
          "description": "ОКПО",
          "example": "0120223589",
          "type": "string"
        },
        "phoneNumber": {
          "description": "Номер телефона",
          "example": "+7 (900) 449-10-42",
          "type": "string"
        }
      },
      "required": [
        "innType",
        "name"
      ],
      "type": "object"
    },
    "ConsignorRequest": {
      "description": "Отправитель груза",
      "properties": {
        "address": {
          "description": "Адрес продавца",
          "example": "123154, Москва г, ул. Тестовая, д. 2",
          "type": "string"
        },
        "bankRequisites": {
          "$ref": "#/components/schemas/BankRequisitesRequest",
          "description": "Банковские реквизиты"
        },
        "inn": {
          "description": "ИНН",
          "example": "394439302723",
          "type": "string"
        },
        "innType": {
          "description": "Тип ИНН. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
          "enum": [
            "INDIVIDUAL",
            "IE",
            "COMPANY"
          ],
          "example": "IE",
          "type": "string"
        },
        "isInn": {
          "description": "Признак наличия ИНН",
          "example": true,
          "type": "boolean"
        },
        "isKpp": {
          "description": "Признак наличия КПП",
          "example": true,
          "type": "boolean"
        },
        "kpp": {
          "description": "КПП",
          "example": "637996731",
          "type": "string"
        },
        "name": {
          "description": "Наименование продавца",
          "example": "ООО Отправитель",
          "type": "string"
        },
        "okpo": {
          "description": "ОКПО",
          "example": "0120223589",
          "type": "string"
        },
        "phoneNumber": {
          "description": "Номер телефона",
          "example": "+7 (900) 449-10-42",
          "type": "string"
        }
      },
      "required": [
        "innType",
        "isInn",
        "isKpp",
        "name"
      ],
      "type": "object"
    },
    "Customer": {
      "description": "Заказчик",
      "properties": {
        "address": {
          "description": "Адрес",
          "example": "г. Москва, ул. Тестовая, д. 1",
          "type": "string"
        },
        "inn": {
          "description": "ИНН",
          "example": "394439302723",
          "type": "string"
        },
        "innType": {
          "description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
          "enum": [
            "INDIVIDUAL",
            "IE",
            "COMPANY"
          ],
          "example": "COMPANY",
          "type": "string"
        },
        "kpp": {
          "description": "КПП",
          "example": "637996731",
          "type": "string"
        },
        "name": {
          "description": "Наименование",
          "example": "ООО Заказчик",
          "type": "string"
        }
      },
      "required": [
        "innType",
        "name"
      ],
      "type": "object"
    },
    "CustomerRequest": {
      "description": "Заказчик",
      "properties": {
        "address": {
          "description": "Адрес",
          "example": "г. Москва, ул. Тестовая, д. 1",
          "type": "string"
        },
        "inn": {
          "description": "ИНН",
          "example": "394439302723",
          "type": "string"
        },
        "innType": {
          "description": "Тип ИНН заказчика. INDIVIDUAL (физик) / LEGAL (юрик)",
          "enum": [
            "INDIVIDUAL",
            "IE",
            "COMPANY"
          ],
          "example": "COMPANY",
          "type": "string"
        },
        "kpp": {
          "description": "КПП",
          "example": "637996731",
          "type": "string"
        },
        "name": {
          "description": "Наименование",
          "example": "ООО Заказчик",
          "type": "string"
        }
      },
      "required": [
        "innType",
        "name"
      ],
      "type": "object"
    },
    "DocNumberResponse": {
      "description": "Данные по номеру выставляемого счета",
      "properties": {
        "nextDocNumber": {
          "description": "Следующий доступный номер для выставляемого счета",
          "example": "12",
          "type": "string"
        }
      },
      "required": [
        "nextDocNumber"
      ],
      "type": "object"
    },
    "DocumentBase": {
      "description": "Документ-основание",
      "properties": {
        "date": {
          "description": "Дата документа",
          "example": "2026-09-30",
          "format": "date",
          "type": "string"
        },
        "name": {
          "description": "Наименование документа",
          "example": "Счет на оплату",
          "type": "string"
        },
        "number": {
          "description": "Номер документа",
          "example": "84860631",
          "type": "string"
        }
      },
      "required": [
        "date",
        "name",
        "number"
      ],
      "type": "object"
    },
    "DocumentBaseRequest": {
      "description": "Документ-основание/связанный документ",
      "properties": {
        "date": {
          "description": "Дата",
          "example": "2026-09-25",
          "format": "date",
          "type": "string"
        },
        "name": {
          "description": "Наименование",
          "example": "Договор",
          "type": "string"
        },
        "number": {
          "description": "Номер",
          "example": "1",
          "type": "string"
        }
      },
      "required": [
        "date",
        "name",
        "number"
      ],
      "type": "object"
    },
    "DocumentIdsRequest": {
      "description": "Запрос на удаление закрывающих документов",
      "properties": {
        "documentIds": {
          "description": "Список идентификаторов документов для удаления",
          "example": [
[...]
